nm-tray (0.5.1-0ubuntu1bb122~bpo2+1) noble-customization; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-24.04/0.5.1-0ubuntu1bb122_bpo2+1
    bianbu: set targetsuite to noble-customization and backports to True

 -- 邵明皓 <minghao.shao@spacemit.com>  Thu, 04 Dec 2025 10:06:06 +0800

nm-tray (0.5.1-0ubuntu1bb122) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb122
    add network status for tooltip

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Tue, 18 Nov 2025 10:05:25 +0800

nm-tray (0.5.1-0ubuntu1bb121) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb121
    fix bug when auth failed 3 times
     delete connection when user disconnect but not auth ok

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 13 Nov 2025 20:47:18 +0800

nm-tray (0.5.1-0ubuntu1bb120) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb120
    remove the image trans effect for the selected wifi icon color

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 13 Nov 2025 16:04:16 +0800

nm-tray (0.5.1-0ubuntu1bb119) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb119
    add wifi passwd max length 63

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 13 Nov 2025 14:02:46 +0800

nm-tray (0.5.1-0ubuntu1bb118) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb118
    change wifi authority dialog icons

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 13 Nov 2025 12:15:44 +0800

nm-tray (0.5.1-0ubuntu1bb117) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb117
    add other wifi security process logic with nmcli and nm-connection-editor

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 13 Nov 2025 11:21:44 +0800

nm-tray (0.5.1-0ubuntu1bb116) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb116
    add reconnection function when passwd error

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 12 Nov 2025 21:01:16 +0800

nm-tray (0.5.1-0ubuntu1bb115) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb115
    add DBus coordinator integration for popup management

 -- 邵明皓 <minghao.shao@spacemit.com>  Wed, 12 Nov 2025 19:26:41 +0800

nm-tray (0.5.1-0ubuntu1bb114) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb114
    update wifi passwd dialog

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 12 Nov 2025 13:52:09 +0800

nm-tray (0.5.1-0ubuntu1bb113) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb113
    fix crash error and change height of ethernet

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 30 Oct 2025 11:30:34 +0800

nm-tray (0.5.1-0ubuntu1bb112) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb112
    change padding of listview item

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Sat, 11 Oct 2025 10:01:22 +0800

nm-tray (0.5.1-0ubuntu1bb111) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb111
    clear the warning print

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Sat, 11 Oct 2025 09:46:56 +0800

nm-tray (0.5.1-0ubuntu1bb110) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb110
    scan wifi when open dialog

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Fri, 10 Oct 2025 19:45:24 +0800

nm-tray (0.5.1-0ubuntu1bb109) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb109
    disable right click to open menu

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Fri, 10 Oct 2025 18:27:19 +0800

nm-tray (0.5.1-0ubuntu1bb108) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb108
    change position of high-security icon

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 19:55:14 +0800

nm-tray (0.5.1-0ubuntu1bb107) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb107
    change slipbutton color when checked

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 19:12:37 +0800

nm-tray (0.5.1-0ubuntu1bb106) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb106
    make connectted connection highlighted

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 18:12:02 +0800

nm-tray (0.5.1-0ubuntu1bb105) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb105
    add zh CN translations

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 16:13:31 +0800

nm-tray (0.5.1-0ubuntu1bb104) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb104
    change arrow icon

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 14:25:00 +0800

nm-tray (0.5.1-0ubuntu1bb103) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb103
    hide hidden wifi button when wifi closed

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 12:04:05 +0800

nm-tray (0.5.1-0ubuntu1bb102) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb102
    add Disconnect text when connected
     Merge branch 'fanxiaogang-dev' into 'bianbu-25.04'

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Thu, 09 Oct 2025 11:27:01 +0800

nm-tray (0.5.1-0ubuntu1bb101) plucky-star; urgency=medium

  [ bianbu-ci ]
  * Export patches for bianbu-25.04/0.5.1-0ubuntu1bb101.
    更新.bianbu-ci.yml文件

 -- fanxiaogang <xiaogang.henry@spacemit.com>  Wed, 08 Oct 2025 17:35:30 +0800

nm-tray (0.5.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.
  * Update dependencies for Qt 6.
  * Bump Standards-version to 4.7.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:17:23 -0500

nm-tray (0.5.0-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2065347). Remaining changes:
    - debian/rules:
      + build with -Wall -pedantic
      + keep DOM_PLUGIN=YES and PULL_TRANSLATIONS=NO
    - debian/patches/blacklist-from-menu.patch
    - debian/patches/generalize-terminal-for-edits.patch
  * Dropped changes:
    - debian/control: Add Simon Quigley as one of the uploaders
    - "Bump debhelper compat and Standards-version, no changes needed."
      Already applied in Debian.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 09 May 2024 16:07:11 -0600

nm-tray (0.5.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which
      is now the default.
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in  machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Andrew Lee (李健秋) ]
  * Update team email to <team+lxqt@tracker.debian.org>.
  * debian/control: add myself as uploader.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 05 Sep 2023 20:40:01 +0200

nm-tray (0.5.0-1) unstable; urgency=medium

  [ suman rajan ]
  * New upstream version 0.5.0
  * debian/copyright: Added new entry for  debian copyright
  * debian/lintian-overrides: Updated lintian overrides
  * debian/patches: Removed nmmodel.patch
  * debian/gbp.conf: Changed compression to gz

  [ Andrew Lee (李健秋) ]
  * Add debian/salsa-ci.yml file.

 -- suman rajan <suman@cryptolab.net>  Mon, 18 Jul 2022 17:10:31 +0200

nm-tray (0.5.0-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5network5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:46:22 +0200

nm-tray (0.5.0-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:21:14 +0000

nm-tray (0.5.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:04:24 +0000

nm-tray (0.5.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Bump debhelper compat and Standards-version, no changes needed.
  * Remove reverse-applicable patch.
  * Wraaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaap.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 02 Jun 2022 23:49:10 -0500

nm-tray (0.4.3-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/rules:
      + build with -Wall -pedantic
      + keep DOM_PLUGIN=YES and PULL_TRANSLATIONS=NO
    - debian/patches/blacklist-from-menu.patch
    - debian/patches/generalize-terminal-for-edits.patch
  * Dropped changes, included upstream:
    - debian/patches/include_used_class.patch
      + included as debian/patches/nmmodel.cpp
    - debian/control:
      + build-depend on qtbase5-dev, required by d/p/include_used_class.patch

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 17 Feb 2021 15:56:49 +0100

nm-tray (0.4.3-2) unstable; urgency=medium

  * Switched to gbp
  * Added upstream patch for incomplete type 'class QMetaEnum'
    (Closes: #941648)
  * Added Rules-Requires-Root field

 -- Alf Gaida <agaida@siduction.org>  Fri, 04 Oct 2019 19:39:14 +0200

nm-tray (0.4.3-1) unstable; urgency=medium

  * Cherry-picked new upstream release 0.4.3
  * Switched from debhelper to debhelper-compat, no changes needed
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Fixed years in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 15 Aug 2019 23:25:48 +0200

nm-tray (0.4.3-0ubuntu3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:45 +0100

nm-tray (0.4.3-0ubuntu2) eoan; urgency=medium

  * Add missing include for used class
  * Removed dependency on libkf5networkmanagerqt-dev (LP: #1816267)

 -- apt-ghetto <apt-ghetto@lubuntu.me>  Wed, 09 Oct 2019 18:26:16 +0200

nm-tray (0.4.3-0ubuntu1) eoan; urgency=medium

  * Bump version for new upstream release 0.4.3
  * Bump Standards-version to 4.4.0, no changes needed
  * Bump debhelper to 12, no changes needed

 -- Hans P Möller <hmoller@gmail.com>  Fri, 09 Aug 2019 22:11:38 -0400

nm-tray (0.4.2-1) unstable; urgency=medium

  * Cherry-picked new upstream release 0.4.2

 -- Alf Gaida <agaida@siduction.org>  Sat, 20 Oct 2018 12:52:26 +0200

nm-tray (0.4.1-1) unstable; urgency=medium

  * Cherry-picked new upstream release 0.4.1
  * Added Dependency qterminal | x-terminal-emulator
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Fri, 14 Sep 2018 23:19:21 +0200

nm-tray (0.4.1-0ubuntu3) eoan; urgency=medium

  * Reverted previous commit 1bc4f5406954

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 30 Jul 2019 19:38:35 -0700

nm-tray (0.4.1-0ubuntu2) eoan; urgency=medium

  * Changed connection editor to nm-connnection-editor

 -- Hans P Möller <hmollercl@lubuntu.me>  Mon, 01 Jul 2019 10:28:06 -0400

nm-tray (0.4.1-0ubuntu1) cosmic; urgency=medium

  * New upstream bugfix release.
  * Bump Standards-version to 4.2.1, no changes needed.
  * Remove the reverse-applicable fix-internal-version.patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 06 Oct 2018 16:59:03 -0500

nm-tray (0.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #890354)

 -- Alf Gaida <agaida@siduction.org>  Sat, 25 Aug 2018 16:58:47 +0200

nm-tray (0.4.0-0ubuntu3) cosmic; urgency=medium

  * Blacklist from menus.

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 18 Sep 2018 23:15:13 -0700

nm-tray (0.4.0-0ubuntu2) cosmic; urgency=medium

  [ Simon Quigley ]
  * Update Vcs-* for the new location.

  [ Walter Lapchynski ]
  * generalize-terminal-for-edits.patch: Use x-terminal-emulator in lieu of
    xterm for connection editing. (LP: #1786978)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Aug 2018 01:11:08 -0500

nm-tray (0.4.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Remove gilir as an uploader as he has left the team.
  * Bump KF5 dependencies to 5.36.0.
  * Update copyright.
  * Remove upstream-applicable fix-xdg-install-dir.patch.
  * Bump internal version which was missed upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Jul 2018 17:46:18 -0500

nm-tray (0.3.0-0ubuntu1) bionic; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Feb 2018 20:56:10 -0600
